Bug 507332 - Kernel update breaks root on multipathed installation
Kernel update breaks root on multipathed installation
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 07:56 EDT by Frank de Groodt
Modified: 2011-02-15 14:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 14:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initrd created by the kernel update. (6.27 MB, application/octet-stream)
2009-06-22 07:58 EDT, Frank de Groodt
no flags Details

  None (edit)
Description Frank de Groodt 2009-06-22 07:56:24 EDT
Description of problem:

Updating the kernel breaks mpath enable root installation. 

Version-Release number of selected component (if applicable):

5.3

How reproducible:

Install a system with linux mpath kernel option and update the kernel after install.

Steps to Reproduce:
1. Install machine with linux mpath kernel option.
2. Put root on mpathed fs.
3. Update the kernel.
  
Actual results:

LVM sees duplicate pv's and system drops to maintenance mode.

Expected results:

An updated kernel...

Additional info:

I've attached the updated initrd.
Comment 1 Frank de Groodt 2009-06-22 07:58:07 EDT
Created attachment 348881 [details]
initrd created by the kernel update.
Comment 2 David Cantrell 2010-07-01 23:27:57 EDT
Please attach your grub.conf file, fstab file, and output of the multipath command so we can see what your root filesystem lives on.
Comment 3 David Cantrell 2011-02-15 14:46:58 EST
Unable to debug further without information requested in comment #2.

Note You need to log in before you can comment on or make changes to this bug.